texworks (0.6.10+ds-1) unstable; urgency=medium

  * New upstream release, disable obsolete patches.
  * Lintian: build-depends-on-obsolete-package
    + Add lintian overrides.
    + no-dep5-copyright
  * Bump Standards version, no changes needed.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 15 Feb 2025 17:25:39 +0100

texworks (0.6.9-2) unstable; urgency=medium

  * Limit autopkg test to LE arches as long as #1059943 is not solved.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 06 Jul 2024 00:24:02 +0200

texworks (0.6.9-1) unstable; urgency=medium

  * New upstream version, disable obsolete patches.

 -- Hilmar Preusse <hille42@web.de>  Sun, 19 May 2024 12:49:25 +0200

texworks (0.6.8-3) unstable; urgency=medium

  * Patches from upstream:
    - 417ac77edbeac78403541c1653843fc9451faf90
      [PATCH] <QtPDF> Fix Qt6 warnings
    - 5476b35b6211b34bdf49ecd9b5c8abb2edca9b9f
      [PATCH] Fix Qt 6.4 warnings
    - 7c6dbeac3ecebd409bde142601314ad58f9b0fc4
      [PATCH] Fix display of version date/time with Qt6
    - 95d9b019b1dc6c7ab8286f7184c4dbbae108cdc2
      [PATCH] Fix Qt6 warnings
    - e6fb33b44f5736e98b8c34c5a3296a342394c3fa
      [PATCH] Fix compilation with Qt 6.5

 -- Hilmar Preusse <hille42@web.de>  Sun, 11 Jun 2023 23:43:47 +0200

texworks (0.6.8-2) experimental; urgency=medium

  * Switch to QT6.
  * Remove liblua5.2-dev as alternative B-D, add liblua5.4-dev.

 -- Hilmar Preusse <hille42@web.de>  Wed, 22 Feb 2023 23:31:48 +0100

texworks (0.6.8-1) unstable; urgency=medium

  [ Hilmar Preusse ]
  * New upstream release.
  * We are "Debian TeX Task Force".
  * Recommend fonts-urw-base35 instead of dummy package
    gsfonts. (Closes: #1020362)

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

 -- Hilmar Preusse <hille42@web.de>  Mon, 20 Feb 2023 23:17:52 +0100

texworks (0.6.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake and libsynctex-dev.

  [ Hilmar Preusse ]
  * New upstream release, disable patches.
  * Add debian/gbp.conf to handle pristine-tar branch.
  * Enable test suite from upstream using autopkgtest.

 -- Hilmar Preusse <hille42@web.de>  Fri, 01 Apr 2022 08:54:27 +0200

texworks (0.6.6-2) unstable; urgency=medium

  * The last "debuild -S" run unintentionally picked up the broken
    autopkg test suite. Upload without it.

 -- Hilmar Preusse <hille42@web.de>  Sat, 10 Jul 2021 08:43:19 +0200

texworks (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6.
    - Add qtdeclarative5-dev to B-D, disable all patches.
    - I: texworks: spelling-error-in-binary (not all of them)
    - Add lintian override for E: embedded-library usr/bin/texworks: pcre3

 -- Hilmar Preusse <hille42@web.de>  Fri, 09 Jul 2021 23:54:33 +0200

texworks (0.6.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 0.5~svn1026-1.

  [ Hilmar Preusse ]
  * Lintian:
    - duplicate-changelog-files usr/share/doc/texworks/NEWS.gz
      usr/share/doc/texworks/changelog.gz
    - debian-watch-file-is-missing

  [ Norbert Preining ]
  * Fix build with Qt 5.15 (Closes: #975116, #975118)

 -- Norbert Preining <norbert@preining.info>  Thu, 19 Nov 2020 19:34:23 +0900

texworks (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Bump debhelper compat to 12

 -- Norbert Preining <norbert@preining.info>  Thu, 26 Mar 2020 07:22:38 +0900

texworks (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Mar 2020 06:15:52 +0900

texworks (0.6.3-3) unstable; urgency=medium

  * Add me to list of Uploaders
  * Use python3 for building (Closes: #938659).

 -- Hilmar Preusse <hille42@web.de>  Fri, 06 Sep 2019 23:50:49 +0200

texworks (0.6.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Jul 2019 17:39:36 +0900

texworks (0.6.3-1) experimental; urgency=medium

  * New upstream release 0.6.3

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Mar 2019 09:07:48 +0900

texworks (0.6.2.20190306-1) experimental; urgency=medium

  * New upstream version 0.6.2.20190306
  * cleanup patches for new release

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Mar 2019 11:35:34 +0900

texworks (0.6.2-4) unstable; urgency=medium

  * fix Homepage fields (Closes: #908118)
  * update VCS and my email, bump standards version

 -- Norbert Preining <norbert@preining.info>  Sat, 02 Mar 2019 15:01:20 +0900

texworks (0.6.2-3) unstable; urgency=medium

  [ Hilmar Preuße ]
  * d/clean: some files are not deleted in clean target.
    - add patch trans_pro.patch to revert changes made during build
  * 496cc1785f335f0eb4451005025fe11ae295d3e4.patch:
    Update to synctex 1.19 to fix build w/ TL 2018 (Closes: #896568)
  * Tighten BDepends version of libsynctex-dev
  * lintian
    - W: $package: priority-extra-is-replaced-by-priority-optional
    - W: vcs-deprecated-in-debian-infrastructure
    - E: appstream-metadata-legacy-format
    - W: appstream-metadata-in-legacy-location

 -- Norbert Preining <preining@debian.org>  Thu, 26 Apr 2018 21:55:06 +0900

texworks (0.6.2-2) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Mon, 19 Jun 2017 16:35:59 +0900

texworks (0.6.2-1) experimental; urgency=medium

  * New upstream version 0.6.2
  * update libluaN.N-dev dep

 -- Norbert Preining <preining@debian.org>  Mon, 01 May 2017 04:25:14 +0900

texworks (0.6.1-1) unstable; urgency=medium

  [ Hilmar Preuße ]
  * TeXworks now searches for myspell dicts in /usr/share/hunspell
    (Closes: #824852). This is the correct path according to
    https://dict-common.alioth.debian.org/dsdt-policy.html#installdir

  [ Norbert Preining ]
  * change devel place to debian-tex, adjust vcs fields
  * move dictionary fix into quilt patch
  * Imported Upstream version 0.6.1 (Closes: #834127)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Fri, 12 Aug 2016 22:52:23 +0900

texworks (0.6.0-1) unstable; urgency=medium

  * take texworks over into Debian TeX Maint, adjust maint/uploaders
  * Imported Upstream version 0.6.0
  * help files are independently packaged in src:texworks-help

 -- Norbert Preining <preining@debian.org>  Mon, 04 Apr 2016 13:01:25 +0900

texworks (0.5~svn1363-6) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #773940)
  * Use source format 3.0 (quilt).
  * Link against QtXml to fix FTBFS with Qt 4.8.7.  (Closes: #789842)
  * Switch to debhelper compat level 9.
  * Minimize d/rules using debhelper override targets.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Import packaging history into GIT, add Vcs-* URLs.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Aug 2015 17:40:06 +0200

texworks (0.5~svn1363-5) unstable; urgency=medium

  * Modify to use the shared library for synctex.  Thanks to Sebastian Ramacher
    <sramacher AT debian.org>  (Closes: #753818)

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 08 Jul 2014 15:07:38 +0900

texworks (0.5~svn1363-4) unstable; urgency=medium

  * Enabled parallel building.  Thanks to Pino Toscano <pino AT debian.org>.
    (Closes: #749971)

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 06 Jun 2014 09:32:35 +0900

texworks (0.5~svn1363-3) unstable; urgency=medium

  * Now hopefully we did a decent fix.

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 26 May 2014 13:25:17 +0900

texworks (0.5~svn1363-2) unstable; urgency=medium

  * In previous packaging, I made mistake but yet I don't get a decent fix,
    the followings are only workaroud.
  * Fixed build process to set TW_PLUGINPATH correctly with an option
    -DTeXworks_PLUGIN_DIR='/usr/lib/texworks'.
  * Removed unnecessary patches and set the option -DWITH_PYTHON=ON and
    -DTeXworks_HELP_DIR='/usr/share/texworks-help'.

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 23 May 2014 09:46:37 +0900

texworks (0.5~svn1363-1) unstable; urgency=medium

  * New Upstream Release (rev 1363).
  * Adopt new build system with CMake.
   - Rewrite debian/rules for it.
   - Enabling PythonPlugin with modification of CMakeLists.txt .
   - To build texworks-help-en, modify CMakeLists.txt and src/TWUtils.cpp
     but should be refined.  See debian/patch-cm.
   - Set hardened build flags.
  * Cleaning lintian warnings.
   - Stop installing unnecessary COPYING.
   - Bump Standards-Version to 3.9.5 .

 -- Atsuhito KOHDA <kohda@debian.org>  Wed, 14 May 2014 16:24:12 +0900

texworks (0.5~svn1351-1) unstable; urgency=medium

  * New Upstream Release (rev 1351).

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 27 Jan 2014 14:06:54 +0900

texworks (0.5~svn1302-1) unstable; urgency=low

  * New Upstream Release (rev 1302).

 -- Atsuhito Kohda <kohda@debian.org>  Fri, 30 Aug 2013 15:02:31 +0900

texworks (0.5~svn1288-1) unstable; urgency=low

  * New Upstream Release (rev 1288).
  * Fixed rules clean target.  obj -> objs
  * Fixed control file.  Added zlib1g-dev to Build-Depends field.
    (Closes: #710102)

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 04 Jun 2013 14:11:27 +0900

texworks (0.5~svn1035-1) unstable; urgency=low

  * New Upstream Release (rev 1035).

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 25 Feb 2013 15:40:07 +0900

texworks (0.5~svn1031-1) unstable; urgency=low

  * New Upstrean Release (rev 1031).

 -- Atsuhito KOHDA <kohda@debian.org>  Wed, 23 Jan 2013 14:16:22 +0900

texworks (0.5~svn1026-1) unstable; urgency=low

  * New Upstrean Release (rev 1026).

 -- Atsuhito KOHDA <kohda@debian.org>  Wed, 26 Sep 2012 16:48:05 +0900

texworks (0.5~svn1007-1) unstable; urgency=low

  * New Upstream Release (rev 1007).
  * Updated copyright file: added Charlie Sharpsteen as Upstream Authors.

 -- Atsuhito KOHDA <kohda@debian.org>  Wed, 02 May 2012 16:27:37 +0900

texworks (0.5~svn956-1) unstable; urgency=low

  * New Upstream Release (rev 956).
  * Fixed hunspell dictionaries problem with a setting -DTW_DICPATH in rules.
    (Closes: #657702)

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 31 Jan 2012 08:55:10 +0900

texworks (0.5~svn952-1) unstable; urgency=low

  * New Upstream Release (rev 952).

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 12 Dec 2011 15:44:20 +0900

texworks (0.5~svn939-2) unstable; urgency=low

  * I failed to apply a patch suggested by Jakub Wilk in the previous
    upload.  This time I believe the patch is applied.  (Closes: #632393)
  * Removed unnecessary patch for luatex.  It was included in the upstream.

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 29 Sep 2011 07:48:29 +0900

texworks (0.5~svn939-1) unstable; urgency=low

  * New upstream release (rev 939).
  * Applied a patch suggested by Jakub Wilk <jwilk AT debian.org>
    (Closes: #632393)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 26 Sep 2011 15:39:22 +0900

texworks (0.5~svn930-1) unstable; urgency=low

  * New upstream release (rev 930).

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 18 Aug 2011 11:22:40 +0900

texworks (0.5~svn862-1) unstable; urgency=low

  * New upstream release (rev 862).
  * Installed manual borrowed from the latest stable version 0.4.3

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 14 Jul 2011 08:24:37 +0900

texworks (0.5~svn843-1) unstable; urgency=low

  * New upstream release (rev. 846).
    I tested to build the package on AMD64 and found no problem.
    (Closes: #628276)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 13 Jun 2011 17:50:43 +0900

texworks (0.5~svn808-1) unstable; urgency=low

  * New Upstream Release (rev. 808).  (Closes: #625543)
  * Fixed/Updated copyright file; added Stefan Löffler as Upstream Authors.
  * Updated README.Debian a bit.
  * Changed to use texworks.desktop, texworks.1 and .png files
    of source trees instead of obsolete ones under debian.
    To do so, refined rules file a bit.
  * Updated control file and removed unnecessary texworks.menu and COPYING.

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 06 May 2011 12:54:27 +0900

texworks (0.4.0-2) unstable; urgency=low

  * Added english manual.
  * Updated Build-Depends; removed sharutils and replaced python2.6-dev with
    python-dev
  * Removed obsolete debian/patch-print and debian/document-print.png.enc
  * Added texworks-help-en package which included manual for texworks.

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 04 Apr 2011 13:42:12 +0900

texworks (0.4.0-1) unstable; urgency=low

  * New Upstream Release, now 0.4.0. (Rev. 759).

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 22 Mar 2011 09:16:16 +0900

texworks (0.3~svn741-1) unstable; urgency=low

  * New Upstream Release. (Rev. 741)
  * Removed printing support.  Now it will offer to open the document
    in the system's default viewer.

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 21 Dec 2010 21:17:41 +0900

texworks (0.3~svn671-2) unstable; urgency=low

  * Uploaded to unstable.

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 19 Aug 2010 15:15:38 +0900

texworks (0.3~svn671-1) experimental; urgency=low

  * New Upstream Release. (Rev.671)
  * Updated patches.

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 03 Aug 2010 15:31:17 +0900

texworks (0.3~svn606-1) experimental; urgency=low

  * New Upstream Release. (Rev.606)
  * Updated patches.

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 15 Apr 2010 08:15:38 +0900

texworks (0.3~svn569-3) experimental; urgency=low

  * Fixed TWPythonPlugin compilation problems on AMD64 by consulting
    a package of Stefan Löffler.  (Closes: #570841)
  * Modified TW_HELPPATH as a package of Stefan Löffler.  I expect one can
    use a texworks-help-en package by Stefan Löffler now.
  * Added LuaTeX in a list of Typeset engines for experiment.

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 22 Feb 2010 12:52:39 +0900

texworks (0.3~svn569-2) experimental; urgency=low

  * Added Lua and Python scripting plugins.  These are called
    texworks-scripting-lua and texworks-scripting-python following packages
    (Ubuntu version) of Stefan Löffler.

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 18 Feb 2010 09:14:31 +0900

texworks (0.3~svn569-1) experimental; urgency=low

  * SVN version for experiment.

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 15 Feb 2010 22:09:05 +0900

texworks (0.2.3-2) unstable; urgency=low

  * Rebuild under poppler 0.12  (Closes: #551435)
  * Added note on synctex feature in README.Debian
  * Fixed copyright file to express Jérôme Laurens correctly
  * Added texlive-latex-base and texlive-xetex to Recommends and Suggests
    respectively.
  * Moved "uudecode debian/document-print.png.enc" to configure-stamp
    from build-stamp because configure searched it.

 -- Atsuhito KOHDA <kohda@debian.org>  Sun, 18 Oct 2009 19:16:52 +0900

texworks (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #538211)

 -- Atsuhito KOHDA <kohda@debian.org>  Sun, 11 Oct 2009 15:25:52 +0900
